Create or update a transfer
Optional: a transfer is also created the first time a release names it in transfer.batch. Needs a key with delivery:write.
PUT
/
delivery
/
transfers
/
{transferId}
Create or update a transfer
curl --request PUT \
--url https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"name": "Nova back catalog",
"previousDistributor": "<string>",
"notes": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
name: 'Nova back catalog',
previousDistributor: '<string>',
notes: '<string>'
})
};
fetch('https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId}"
payload = {
"accountId": "<string>",
"name": "Nova back catalog",
"previousDistributor": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"transfer": {
"externalId": "<string>",
"id": "<string>",
"accountId": "<string>",
"name": "<string>",
"previousDistributor": "<string>",
"notes": "<string>",
"status": "open",
"submittedAt": "2023-11-07T05:31:56Z",
"totals": {
"releases": 123,
"byStatus": {
"draft": 12,
"in_review": 3
}
},
"releases": [
{
"externalId": "<string>",
"id": "<string>",
"title": "<string>",
"upc": "<string>",
"status": "draft"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
An API key from Settings → API in AMM Distro.
Path Parameters
Your ID for the transfer.
Body
application/json
Response
Updated.
Show child attributes
Show child attributes
⌘I
Create or update a transfer
curl --request PUT \
--url https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"name": "Nova back catalog",
"previousDistributor": "<string>",
"notes": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
name: 'Nova back catalog',
previousDistributor: '<string>',
notes: '<string>'
})
};
fetch('https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId}"
payload = {
"accountId": "<string>",
"name": "Nova back catalog",
"previousDistributor": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"transfer": {
"externalId": "<string>",
"id": "<string>",
"accountId": "<string>",
"name": "<string>",
"previousDistributor": "<string>",
"notes": "<string>",
"status": "open",
"submittedAt": "2023-11-07T05:31:56Z",
"totals": {
"releases": 123,
"byStatus": {
"draft": 12,
"in_review": 3
}
},
"releases": [
{
"externalId": "<string>",
"id": "<string>",
"title": "<string>",
"upc": "<string>",
"status": "draft"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}